scala.util

# regexp

#### package regexp

Visibility

1. Public
2. All

### Type Members

1. #### abstract class Base extends AnyRef

   Basic regular expressions.

2. #### abstract class PointedHedgeExp extends Base

   pointed regular hedge expressions, a useful subclass of regular hedge expressions.

3. #### class SyntaxError extends RuntimeException

   This runtime exception is thrown if an attempt to instantiate a syntactically incorrect expression is detected.

4. #### abstract class WordExp extends Base

   The class `WordExp` provides regular word expressions.